| Home | Libraries | People | FAQ | More

## Struct template function_hook

boost::intrusive::function_hook

## Synopsis

    // In header: <boost/intrusive/options.hpp>

    template<typename Functor>
    struct function_hook {
      // member classes/structs/unions
      template<typename Base>
      struct pack {
        // types
        typedef function_value_traits value_traits;
      };
      < Functor > function_value_traits;  // @ typedef detail::function_hook_traits
    };

## Description

This option setter specifies the function object that will be used to convert between values to be inserted in a container and the hook to be used for that purpose.